PDA

View Full Version : FarCry 1.2 patch recalled by UbiSoft


Pages : [1] 2 3

Burpy
07-23-04, 01:37 PM
[ Shacknews (http://www.shacknews.com/onearticle.x/32761) ] (mag)

According to the publisher "Far Cry patch 1.2 has shown unexpected behaviour on specific hardware configurations.
These matters are mainly due to incompatibilities with several optimisations brought lately to the code, with the intent
to please a large number of users". CryTek is working on a fixed version of the update to be released "as soon as possible".

Riptide
07-23-04, 01:41 PM
Bummer...

OWA
07-23-04, 01:59 PM
I wonder what they mean by recalled since it's still available for download from their website? Maybe it just hasn't had time to be removed from the website yet or something.

aAv7
07-23-04, 02:01 PM
thats funny....it took them months to finally get this patch out....and it's buggy as heck. I hate to see how long it will take for the 1.3 patch to show up...and how buggy THAT will be.

CaptNKILL
07-23-04, 02:23 PM
They probably did this because they put the so called "SM2.0b" crap in there and nVidia is pissed... i bet there will be a performance decrease for ATI cards in the final patch :lol:


(yes im kidding, but its deffinitely possible)

nkarnold
07-23-04, 02:23 PM
http://www.3dgamers.com/news/more/1090602163/

>>
In an unusual move, Ubi Soft Entertainment has recalled the recent version 1.2 retail patch for Far Cry, due to "unexpected behaviour on specific hardware configurations. These matters are mainly due to incompatibilities with several optimisations brought lately to the code, with the intent to please a large number of users." Consequently we have restored the version 1.1 patch.


Bumm

nin_fragile14
07-23-04, 02:24 PM
That's ridiculous.

Ghosthunter
07-23-04, 02:25 PM
wow you arent kidding..

Fynx-Gloire
07-23-04, 02:27 PM
I have been reading the ATI forums back on rage3d and it seems that this new patch screws up people who use ATI based graphics cards.
People have been getting massive graphic glitches and missing textures.
Not that I can play it on my measly DX7 based graphics card...

Sean

UDawg
07-23-04, 02:31 PM
*Moved*

Could a mod please close this one. I moved it before I checked the Game forum for a double post. ;)

OWA
07-23-04, 03:28 PM
Seems the website has now removed it.

DaveW
07-23-04, 03:49 PM
"Far Cry patch 1.2 has shown unexpected behaviour on specific hardware configurations".

Ill have to remember that one for the next time a piece of my software screws up. It sure sounds better than "I didn't test it properly".

Clay
07-23-04, 03:51 PM
Ill have to remember that one for the next time a piece of my software screws up. It sure sounds better than "I didn't test it properly".Heh, I was thinking that myself. I still prefer to blame my bugs on user error. :D

skoprowski
07-23-04, 03:55 PM
Are they talking about their engine optimizations, or ATI's driver optimizations with the X800 series of cards that a screwing up the game?

mattkenn_4545
07-23-04, 03:55 PM
Seems to work just fine on my 6800. Are nvidia cards affected? What's wrong with it exactly. Should I uninstall? is gameplay effected or is it graphical glitches only? I need details. Has ubisoft\crysoft disclosed what "specific hardware configurations" were affected. This definitaly puts a bad mark or their record, at least for me.

Arioch
07-23-04, 04:02 PM
It's a shame since the beta SM2.0B path increased performance on my X800XT in a similar fashion that the patch did running the 3.0 path on the 6800 cards. I do get the texture disappearing problems but I can get them to clear up almost completely by switching my resolution temporarily and then back again. Oh, and they also broke 5.1 sound with this patch although it can get re-enabled in the console. However I do not know if it is working correctly or not when I do this.

skoprowski
07-23-04, 04:08 PM
Look at this- you have to wonder if this is somehow related:

[H]ardNews 10th Edition Friday July 23, 2004

Posted by Steve 2:59 PM (CDT)
ATi Withdraws Cat 4.7 From Futuremark:
So ATi’s Senior Product Manager, Terry “I Make Drivers” Makedon made a statement to Driver Heaven about ATi’s decision to remove Catalyst 4.7 drivers from the Official Futuremark driver list for 3Dmark03. This was at ATi’s request, not Futuremark. Most of you guys don’t need to be reminded why we don’t use 3DM03 for reviews, how we feel about Futuremark and the whole “fixing a benchmark” thing anyway (double-entendre not intended).


“In CATALYST 4.7 there is a slight rendering bug found on game test 3 of 3DMark03. This has been documented in an InfoBase article found here. Due to the high standards we place on ourselves in regards to our driver quality we have decided to ask our users not to use CATALYST 4.7 with 3DMark03. In fact we request that Futuremark disqualify this driver set from the official approved driver list. CATALYST 4.8 will have the rendering bug fixed. This rendering bug does not impact 3DMark scores with CATALYST 4.7, but we prefer our users use a driver without the corruption for the best possible RADEON experience."

Arioch
07-23-04, 04:11 PM
Look at this- you have to wonder if this is somehow related:

[H]ardNews 10th Edition Friday July 23, 2004

Posted by Steve 2:59 PM (CDT)
ATi Withdraws Cat 4.7 From Futuremark:
So ATi’s Senior Product Manager, Terry “I Make Drivers” Makedon made a statement to Driver Heaven about ATi’s decision to remove Catalyst 4.7 drivers from the Official Futuremark driver list for 3Dmark03. This was at ATi’s request, not Futuremark. Most of you guys don’t need to be reminded why we don’t use 3DM03 for reviews, how we feel about Futuremark and the whole “fixing a benchmark” thing anyway (double-entendre not intended).


“In CATALYST 4.7 there is a slight rendering bug found on game test 3 of 3DMark03. This has been documented in an InfoBase article found here. Due to the high standards we place on ourselves in regards to our driver quality we have decided to ask our users not to use CATALYST 4.7 with 3DMark03. In fact we request that Futuremark disqualify this driver set from the official approved driver list. CATALYST 4.8 will have the rendering bug fixed. This rendering bug does not impact 3DMark scores with CATALYST 4.7, but we prefer our users use a driver without the corruption for the best possible RADEON experience."

This was noted by many people including me when the Cats4.7 where tested. As it is stated above it really didn;t help performance any but it is nice to see ATI acknowledge the problem. Now they need to release the 4.8 drivers already.

ATI better be damn sure that Doom 3 will run without any issues with those drivers!

skoprowski
07-23-04, 04:17 PM
You have to wonder if those driver related issues are why there are problems with Far Cry patch 1.2.

Arioch
07-23-04, 04:22 PM
You have to wonder if those driver related issues are why there are problems with Far Cry patch 1.2.

I don't think so since I had no additional issues with the 1.1 patch with the same 4.7 drivers that weren't already there before the 1.2 patch - like the tree shadow issue on the Boat level. This was there with the 4.5 and 4.6 drivers. I guess Crytek borked something by accident when they tweaked the code for this patch.

Galvin
07-23-04, 04:32 PM
sm30 was just as bad, textures dissapearing. parts of the map phasing in and out. Its so bad it makes multuplayer not playable.

I swear my MP framerates are much better now since going back to 1.1 i'll have to do more testing.

Its probably best to ditch 1.2 since its no longer officially supported.

bmg
07-23-04, 04:37 PM
You have to wonder if those driver related issues are why there are problems with Far Cry patch 1.2.
There were other issues like sound, mounted guns not moving side-side correctly, binocular problems, etc. I quit using the patch due to these issues, not due to graphics problems.

hoop
07-23-04, 04:43 PM
mine is running fine. :nana:

Woodelf
07-23-04, 04:49 PM
All I can say is, "Im glad I got it last night, cause who knows when they'll release a (properly) working patch".

noko
07-23-04, 04:59 PM
I guess it will be awhile before I play FarCry again. . . Was looking forward to playing it on my 6800 GT, DoomIII will be next :D.